#pragma once
#include "afxwin.h"

// OcvitaBarcodePropPage.h : Declaration of the COcvitaBarcodePropPage property page class.


// COcvitaBarcodePropPage : See OcvitaBarcodePropPage.cpp for implementation.

class COcvitaBarcodePropPage : public COlePropertyPage
{
	DECLARE_DYNCREATE(COcvitaBarcodePropPage)
	DECLARE_OLECREATE_EX(COcvitaBarcodePropPage)

// Constructor
public:
	COcvitaBarcodePropPage();

// Dialog Data
	enum { IDD = IDD_PROPPAGE_OCVITABARCODE };

// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	BOOL OnInitDialog();

// Message maps
protected:
	DECLARE_MESSAGE_MAP()

protected:
	CString m_barcode;
	long m_symbology;
	long m_whitespace_width;
	long m_height;
	long m_border_width;
	long m_output_options;
	CString m_fgcolour;
	CString m_bgcolour;
	CString m_symname;

	CComboBox c_symname;

protected:
	CMap<long, long, CString, CString> symnames;
public:
//	afx_msg void OnEnChangeSymbology();
	afx_msg void OnCbnSelchangeSymname();
	afx_msg void OnEnKillfocusSymbology();
};

